package com.its.op;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
public class ItsOpServerApplicationTests {

    @Test
    void test1() {
        for (int ii = 0; ii < 24; ii++) {
            for (int jj = 0; jj < 12; jj++) {
                log.error("{}:{}", ii, jj*5);
            }
        }

        String prcsDt = "20220120173526";
        log.error("{}", prcsDt.substring(0, 2));
        log.error("{}", prcsDt.substring(8, 10));
        log.error("{}", prcsDt.substring(10, 12));

        String svcDt = "20210120173526";

        log.error("compareTo: {}", svcDt.compareTo(prcsDt));
    }

}
